// -------------------------------------- //
// Peng Guo, Indiana University, Jan.2015 //
// -------------------------------------- //


#ifndef _TWOBODYAMP_
#define _TWOBODYAMP_


#include <utility>
#include <string>
#include <complex>
#include <vector>

#include "pipiamp_params.h"
#include "pipiamps.h"
#include "cvert_and_basicfuncs.h"

using std::complex;
using namespace std;





struct param_space
{
    double a0_I_L_struct[4][4];
};



class TwobodyAmp : public PipiAmp
{

public:

  TwobodyAmp() : PipiAmp() { }
    
  ~TwobodyAmp(){}
    
    complex<double>	amp_xy(double x, double y, int m1, int m2, int m3,int Imax, int Lmax, double meta, double mpip, double mpim, double mpi0,struct param_space *pa0_IL) ;
    
    complex<double>	allamp(double s, double t, int m1, int m2, int m3,int Imax, int Lmax, double meta, double mpip, double mpim, double mpi0,struct param_space *pa0_IL) ;
    
    
    complex<double>	totamp(double s, double t,  int m1, int m2, int m3,int Imax, int Lmax, int Ip, int Lp, double meta, double mpip, double mpim, double mpi0) const;
    
    complex<double>	amp_PW(double s,int m1, int m2, int m3, int Is, int L, int Ip, int Lp, double meta, double mass1, double mass2, double mass3) const;
    
    void	parameterspace(int m1, int m2, int m3, int Imax, int Lmax);
    void	parameters_ini(string inputfile, int m1, int m2, int m3, int Imax, int Lmax,  struct param_space *pa0_IL);
    
    
    int paramfitnum ;
    int a0fit_I[10];
    int a0fit_L[10];
    
  
private:

};




#endif


// -------------------------------------- //
// Peng Guo, Indiana University, Jan.2015 //
// -------------------------------------- //
