// -------------------------------------- //
// Peng Guo, Indiana University, Jan.2015 //
// -------------------------------------- //

#include <cassert>
#include <iostream>
#include <string>
#include <complex>
#include <cstdlib>

#include "pipiamp_params.h"





double PipiAmp_Params::arraypipi[50] =
{
    // delta00_low //
    7.26,   // b0 //
    -25.3,  // b1 //
    -33.1,  // b2 //
    -26.6,  // b3 //
    
    
    // delta11_low //
    1.055,  // b0 //
    0.15,    // b1 //
 
    
    // delta02_low //
    -80.4,  // b0 //
    -73.6,    // b1 //
    
    // delta20_low //
    12.47,  // b0 //
    10.12,    // b1 //
    
    // delta22_low //
    2.4*1000.0,  // b0 //
    7.8*1000.0,    // b1 //
    23.7*1000.0,  // b2 //
    0.196         // Delta //
};

double PipiAmp_Params::darraypipi[50] =
{
    // delta00_low //
    0.23,   // b0 //
    0.5,    // b1 //
    1.2,    // b2 //
    2.3,     // b3 //
    

    // delta11_low //
    0.011,  // b0 //
    0.05,    // b1 //
    
    
    // delta02_low //
    2.8,  // b0 //
    10.5,    // b1 //
    
    // delta20_low //
    0.12,  // b0 //
    0.16,    // b1 //
    
    // delta22_low //
    0.5*1000.0,  // b0 //
    1.0*1000.0,    // b1 //
    4.2*1000.0,  // b2 //
    0.025         // Delta //
};







double PipiAmp_Params::getarraypipi(int i ) const
{
    return arraypipi[i];
}




double PipiAmp_Params::getdarraypipi(int i ) const
{
    return darraypipi[i];
}




void PipiAmp_Params::setarraypipi(int i )
{
    arraypipi[i] = arraypipi[i] + darraypipi[i] ;
}





void PipiAmp_Params::setarraypipi(int i, double eps )
{
    arraypipi[i] = arraypipi[i] + eps ;
}




void PipiAmp_Params::setarraypipidefault( )
{
    // delta00_low //
    arraypipi[0] = 7.26;   // b0 //
    darraypipi[0] = 0.23;
    
    arraypipi[1] = -25.3;  // b1 //
    darraypipi[1] = 0.5;
    
    arraypipi[2] = -33.1;  // b2 //
    darraypipi[2] = 1.2;
    
    arraypipi[3] = -26.6;  // b3 //
    darraypipi[3] = 2.3;
    
    
    // delta11_low //
    arraypipi[4] = 1.055;  // b0 //
    darraypipi[4] = 0.011;
    
    arraypipi[5] = 0.15;   // b1 //
    darraypipi[5] = 0.05;
    
    
    // delta02_low //
    arraypipi[6] = -80.4;  // b0 //
    darraypipi[6] = 2.8;
    
    arraypipi[7] = -73.6;    // b1 //
    darraypipi[7] = 10.5;
    
    
    
    
    // delta20_low //
    arraypipi[8] = 12.47;  // b0 //
    darraypipi[8] = 0.12;
    
    arraypipi[9] = 10.12;    // b1 //
    darraypipi[9] = 0.16;
    
  
    
    
    
    // delta22_low //
    arraypipi[10] = 2.4*1000.0;  // b0 //
    darraypipi[10] = 0.5*1000.0;
    
    arraypipi[11] = 7.8*1000.0;   // b1 //
    darraypipi[11] = 1.0*1000.0;
    
    arraypipi[12] = 23.7*1000.0;  // b2 //
    darraypipi[12] = 4.2*1000.0;
    
    arraypipi[13] = 0.196 ;        // Delta //
    darraypipi[13] = 0.025 ;
    
}



// -------------------------------------- //
// Peng Guo, Indiana University, Jan.2015 //
// -------------------------------------- //
