// -------------------------------------- //
// Peng Guo, Indiana University, Jan.2015 //
// -------------------------------------- //


#ifndef _PIPIAMP_PARAMS_
#define _PIPIAMP_PARAMS_


#include <utility>
#include <string>
#include <complex>
#include <vector>

#include "cvert_and_basicfuncs.h"

using std::complex;
using namespace std;







class PipiAmp_Params: public BasicFuncs
{
    
public:
    
    complex<double> aIm ;
    double mpi, mK, mrho, mf2 ;
    
    
    PipiAmp_Params():BasicFuncs()
    {
        aIm = complex<double> (0.0,1.0);
        mpi  = 0.13498;
        mK   = 0.496;
        mrho = 0.7736;
        mf2  = 1.2754;
    };
    ~PipiAmp_Params(){}
    
    double getarraypipi(int i ) const;
    double getdarraypipi(int i ) const;
    
    void setarraypipi(int i ) ;
    void setarraypipi(int i, double eps ) ;
    void setarraypipidefault( );
    
    
    
    static double arraypipi[50];
    static double darraypipi[50];
    
private:
    
    
};


#endif


// -------------------------------------- //
// Peng Guo, Indiana University, Jan.2015 //
// -------------------------------------- //
