// -------------------------------------- //
// Peng Guo, Indiana University, Jan.2015 //
// -------------------------------------- //

#ifndef _PIPIAMP_
#define _PIPIAMP_



#include <utility>
#include <string>
#include <complex>
#include <vector>

#include "pipiamp_params.h"
#include "cvert_and_basicfuncs.h"

using std::complex;
using namespace std;


#define PI 3.141592653589793


class PipiAmp: public PipiAmp_Params
{
    
public:
    
    double sAD_0_0;
    double sAD_0_A;
    double sAD_2_0;
    double sAD_2_A;

    
    PipiAmp():PipiAmp_Params()
    {
        sAD_0_0 = 0.023838839925125196;
        sAD_0_A = mpi*mpi/2.0 ;
        sAD_2_0 = 0.05153332107743136;
        sAD_2_A = mpi*mpi*2.0 ;
    }

    ~PipiAmp(){}
    
    
    
    double	delta00_low(double s) const;
    double	delta00_upp(double s) const;
    double	delta00(double s) const;
    double	eta00(double s) const;
    complex<double>	t00(double s) const;
    
    double	delta11_low(double s) const;
    double	delta11_upp(double s) const;
    double	delta11(double s) const;
    double	eta11(double s) const;
    complex<double>	t11(double s) const;
    
    double	delta20_low(double s) const;
    double	delta20_upp(double s) const;
    double	delta20(double s) const;
    double	eta20(double s) const;
    complex<double>	t20(double s) const;
    
    double	delta02_low(double s) const;
    double	delta02_upp(double s) const;
    double	delta02(double s) const;
    double	eta02(double s) const;
    complex<double>	t02(double s) const;
    
    double	delta22(double s) const;
    double	eta22(double s) const;
    complex<double>	t22(double s) const;
    
    complex<double>	thatIL(double s, int Is, int L) const;
    
    
    
    
    
private:
    
    
};





#endif


// -------------------------------------- //
// Peng Guo, Indiana University, Jan.2015 //
// -------------------------------------- //
